import Mock from 'mockjs'

// 设置延迟时间
Mock.setup({
  timeout: '200-600'
})

// 自动导入所有mock文件
const modules = import.meta.glob('./modules/*.js', { eager: true })

// 注册所有mock模块
Object.values(modules).forEach(module => {
  if (module.default) {
    module.default(Mock)
  }
})

export default Mock 